Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 310353 - x11-drivers/xf86-video-intel-2.10.0-r1: erroneous ebuild warning about missing KMS in kernel
Summary: x11-drivers/xf86-video-intel-2.10.0-r1: erroneous ebuild warning about missin...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High minor with 1 vote (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-20 10:30 UTC by Didier Barvaux
Modified: 2010-04-04 12:43 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix the check for KMS in kernel config (xf86-video-intel-2.10.0-r1-fix_kernel_warning.patch,422 bytes, patch)
2010-03-20 10:33 UTC, Didier Barvaux
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Barvaux 2010-03-20 10:30:06 UTC
While upgrading to x11-drivers/xf86-video-intel-2.10.0-r1 this morning, I got the following postinstall warning from the ebuild:

  WARN: postinst
  This driver requires KMS support in your kernel
    Device Drivers --->
      Graphics support --->
        Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)  --->
        <*>   Intel 830M, 845G, 852GM, 855GM, 865G (i915 driver)  --->
                i915 driver
        [*]       Enable modesetting on intel by default

This warning is erroneous since my current 2.6.33 kernel got the CONFIG_DRM_I915_KMS enabled:
  $ grep CONFIG_DRM_I915_KMS /etc/kernels/kernel-config-x86-2.6.33
  CONFIG_DRM_I915_KMS=y


Reproducible: Always

Steps to Reproduce:
1. emerge -1 '=x11-drivers/xf86-video-intel-2.10.0-r1'
2.
3.

Actual Results:  
A warning about missing KMS in the kernel was issued by the ebuild during postinstall.

Expected Results:  
The ebuild should not issue the warning if the kernel got KMS support.

# emerge --info
Portage 2.1.7.17 (default/linux/x86/10.0/desktop, gcc-4.4.3, glibc-2.10.1-r1, 2.6.33 i686)
=================================================================
System uname: Linux-2.6.33-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-1.12.13
Timestamp of tree: Sat, 20 Mar 2010 09:45:03 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 1.3.7-r1, 2.1.10
dev-lang/python:     2.6.4-r1
dev-python/pycrypto: 2.1.0_beta1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.1.2, 4.3.4, 4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=prescott -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://mirror.ovh.net/gentoo-distfiles/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ "
LANG="fr_FR.utf8"
LC_ALL="fr_FR.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="fr en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa berkdb branding bzip2 cairo cdr cjk cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo fam firefox flac fortran gdbm gif gnome gnome-print gpm gstreamer gtk2 hal iconv ipv6 jpeg laptop libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png policykit ppds pppd pulseaudio python qt3support quicktime readline reflection sdl session spell spl sse ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis win32codecs x264 x86 xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr en" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Didier Barvaux 2010-03-20 10:33:59 UTC
Created attachment 224361 [details, diff]
Fix the check for KMS in kernel config
Comment 2 Rémi Cardona gentoo-dev 2010-04-01 21:40:27 UTC
Fixed in 2.11.0.

Thanks
Comment 3 Didier Barvaux 2010-04-04 12:43:18 UTC
(In reply to comment #2)
> Fixed in 2.11.0.

I installed x11-drivers/xf86-video-intel-2.11.0. There was no warning. I close the bug. Thank you.